Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4AlphaGEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4AlphaGEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4AlphaGEMChannel.hh	(revision 1196)
@@ -25,10 +25,11 @@
 //
 //
-// $Id: G4AlphaGEMChannel.hh,v 1.3 2006/06/29 20:13:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4AlphaGEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Sept. 2001)
 //
+// J. M. Quesada (July 2009) coulomb barrier striclty according to Furihata's paper
 
 
@@ -37,5 +38,5 @@
 
 #include "G4GEMChannel.hh"
-#include "G4AlphaCoulombBarrier.hh"
+#include "G4AlphaGEMCoulombBarrier.hh"
 #include "G4AlphaGEMProbability.hh"
 
@@ -64,6 +65,7 @@
     
 private:
-    
-    G4AlphaCoulombBarrier theCoulombBarrier;
+// JMQ 190709
+//       G4AlphaCoulombBarrier theCoulombBarrier;
+    G4AlphaGEMCoulombBarrier theCoulombBarrier;
 	
     G4AlphaGEMProbability theEvaporationProbability;
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4AlphaGEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4AlphaGEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4AlphaGEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4AlphaGEMProbability.hh,v 1.3 2006/06/29 20:13:49 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4AlphaGEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B10GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B10GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B10GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4B10GEMChannel.hh,v 1.3 2006/06/29 20:13:51 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4B10GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B10GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B10GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B10GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,27 @@
 //
 //
-// $Id: G4B10GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:13:53 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4B10GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4B10GEMCoulombBarrier_h
 #define G4B10GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
-
-class G4B10GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4B10GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4B10GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4B10GEMCoulombBarrier() : G4GEMCoulombBarrierHE(10,5) {};
+//JMQ 200709
+//  G4B10GEMCoulombBarrier() : G4GEMCoulombBarrierHE(10,5) {};
+  G4B10GEMCoulombBarrier() : G4GEMCoulombBarrier(10,5) {};
   ~G4B10GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B10GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B10GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B10GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4B10GEMProbability.hh,v 1.3 2006/06/29 20:13:55 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4B10GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B11GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B11GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B11GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4B11GEMChannel.hh,v 1.3 2006/06/29 20:13:57 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4B11GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B11GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B11GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B11GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,27 @@
 //
 //
-// $Id: G4B11GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:13:59 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4B11GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4B11GEMCoulombBarrier_h
 #define G4B11GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
-
-class G4B11GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4B11GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4B11GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4B11GEMCoulombBarrier() : G4GEMCoulombBarrierHE(11,5) {};
+//JMQ 200709
+//  G4B11GEMCoulombBarrier() : G4GEMCoulombBarrierHE(11,5) {};
+  G4B11GEMCoulombBarrier() : G4GEMCoulombBarrier(11,5) {};
   ~G4B11GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B11GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B11GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B11GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4B11GEMProbability.hh,v 1.3 2006/06/29 20:14:01 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4B11GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B12GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B12GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B12GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4B12GEMChannel.hh,v 1.3 2006/06/29 20:14:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4B12GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B12GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B12GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B12GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,27 @@
 //
 //
-// $Id: G4B12GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:14:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4B12GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4B12GEMCoulombBarrier_h
 #define G4B12GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
-
-class G4B12GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4B12GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4B12GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4B12GEMCoulombBarrier() : G4GEMCoulombBarrierHE(12,5) {};
+//JMQ 200709
+//  G4B12GEMCoulombBarrier() : G4GEMCoulombBarrierHE(8,5) {};
+  G4B12GEMCoulombBarrier() : G4GEMCoulombBarrier(12,5) {};
   ~G4B12GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B12GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B12GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B12GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4B12GEMProbability.hh,v 1.3 2006/06/29 20:14:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4B12GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B13GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B13GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B13GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4B13GEMChannel.hh,v 1.3 2006/06/29 20:14:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4B13GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B13GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B13GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B13GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,27 @@
 //
 //
-// $Id: G4B13GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:14:11 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4B13GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4B13GEMCoulombBarrier_h
 #define G4B13GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
-
-class G4B13GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4B13GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4B13GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4B13GEMCoulombBarrier() : G4GEMCoulombBarrierHE(13,5) {};
+//JMQ 200709
+//  G4B13GEMCoulombBarrier() : G4GEMCoulombBarrierHE(8,5) {};
+  G4B13GEMCoulombBarrier() : G4GEMCoulombBarrier(13,5) {};
   ~G4B13GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B13GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B13GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B13GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4B13GEMProbability.hh,v 1.3 2006/06/29 20:14:13 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4B13GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B8GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B8GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B8GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4B8GEMChannel.hh,v 1.3 2006/06/29 20:14:15 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4B8GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B8GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B8GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B8GEMCoulombBarrier.hh	(revision 1196)
@@ -25,30 +25,37 @@
 //
 //
-// $Id: G4B8GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:14:17 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4B8GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4B8GEMCoulombBarrier_h
 #define G4B8GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
-
-class G4B8GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4B8GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4B8GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4B8GEMCoulombBarrier() : G4GEMCoulombBarrierHE(8,5) {};
+  //JMQ 200709
+  //  G4B8GEMCoulombBarrier() : G4GEMCoulombBarrierHE(8,5) {};
+  G4B8GEMCoulombBarrier() : G4GEMCoulombBarrier(8,5) {};
   ~G4B8GEMCoulombBarrier() {};
-
+  
 private:
   G4B8GEMCoulombBarrier(const G4B8GEMCoulombBarrier & right);
-
+  
   const G4B8GEMCoulombBarrier & operator=(const G4B8GEMCoulombBarrier & right);
   G4bool operator==(const G4B8GEMCoulombBarrier & right) const;
   G4bool operator!=(const G4B8GEMCoulombBarrier & right) const;
   
-
+  
 };
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B8GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B8GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4B8GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4B8GEMProbability.hh,v 1.3 2006/06/29 20:14:19 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4B8GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be10GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be10GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be10GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Be10GEMChannel.hh,v 1.3 2006/06/29 20:14:21 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Be10GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be10GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be10GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be10GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,27 @@
 //
 //
-// $Id: G4Be10GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:14:23 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Be10GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Be10GEMCoulombBarrier_h
 #define G4Be10GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Be10GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Be10GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Be10GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Be10GEMCoulombBarrier() : G4GEMCoulombBarrierHE(10,4) {};
+//JMQ 200709
+//  G4Be10GEMCoulombBarrier() : G4GEMCoulombBarrierHE(7,4) {};
+  G4Be10GEMCoulombBarrier() : G4GEMCoulombBarrier(10,4) {};
   ~G4Be10GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be10GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be10GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be10GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Be10GEMProbability.hh,v 1.3 2006/06/29 20:14:25 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Be10GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be11GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be11GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be11GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Be11GEMChannel.hh,v 1.3 2006/06/29 20:14:27 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Be11GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be11GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be11GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be11GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,27 @@
 //
 //
-// $Id: G4Be11GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:14:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Be11GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Be11GEMCoulombBarrier_h
 #define G4Be11GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Be11GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Be11GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Be11GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Be11GEMCoulombBarrier() : G4GEMCoulombBarrierHE(11,4) {};
+//JMQ 200709
+//  G4Be11GEMCoulombBarrier() : G4GEMCoulombBarrierHE(7,4) {};
+  G4Be11GEMCoulombBarrier() : G4GEMCoulombBarrier(11,4) {};
   ~G4Be11GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be11GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be11GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be11GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Be11GEMProbability.hh,v 1.3 2006/06/29 20:14:31 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Be11GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be12GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be12GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be12GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Be12GEMChannel.hh,v 1.3 2006/06/29 20:14:33 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Be12GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be12GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be12GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be12GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,27 @@
 //
 //
-// $Id: G4Be12GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:14:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Be12GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Be12GEMCoulombBarrier_h
 #define G4Be12GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Be12GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Be12GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Be12GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Be12GEMCoulombBarrier() : G4GEMCoulombBarrierHE(12,4) {};
+//JMQ 200709
+//  G4Be12GEMCoulombBarrier() : G4GEMCoulombBarrierHE(7,4) {};
+  G4Be12GEMCoulombBarrier() : G4GEMCoulombBarrier(12,4) {};
   ~G4Be12GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be12GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be12GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be12GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Be12GEMProbability.hh,v 1.3 2006/06/29 20:14:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Be12GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be7GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be7GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be7GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Be7GEMChannel.hh,v 1.3 2006/06/29 20:14:39 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Be7GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be7GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be7GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be7GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,27 @@
 //
 //
-// $Id: G4Be7GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:14:41 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Be7GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Be7GEMCoulombBarrier_h
 #define G4Be7GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Be7GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Be7GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Be7GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Be7GEMCoulombBarrier() : G4GEMCoulombBarrierHE(7,4) {};
+//JMQ 200709
+//  G4Be7GEMCoulombBarrier() : G4GEMCoulombBarrierHE(7,4) {};
+  G4Be7GEMCoulombBarrier() : G4GEMCoulombBarrier(7,4) {};
   ~G4Be7GEMCoulombBarrier() {};
 
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be7GEMProbability.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be7GEMProbability.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be7GEMProbability.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Be7GEMProbability.hh,v 1.3 2006/06/29 20:14:43 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Be7GEMProbability.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be9GEMChannel.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be9GEMChannel.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be9GEMChannel.hh	(revision 1196)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4Be9GEMChannel.hh,v 1.3 2006/06/29 20:14:45 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Be9GEMChannel.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
Index: trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be9GEMCoulombBarrier.hh
===================================================================
--- trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be9GEMCoulombBarrier.hh	(revision 1055)
+++ trunk/source/processes/hadronic/models/de_excitation/gem_evaporation/include/G4Be9GEMCoulombBarrier.hh	(revision 1196)
@@ -25,20 +25,27 @@
 //
 //
-// $Id: G4Be9GEMCoulombBarrier.hh,v 1.3 2006/06/29 20:14:47 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02 $
+// $Id: G4Be9GEMCoulombBarrier.hh,v 1.4 2009/09/15 12:54:16 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 // Hadronic Process: Nuclear De-excitations
 // by V. Lara (Dec 1999)
-
+//J.M. Quesada (July 2009) Coulomb barrier now derives from new class G4GEMCoulombBarrier
+// strictly according to Furihata's report
+//
 #ifndef G4Be9GEMCoulombBarrier_h
 #define G4Be9GEMCoulombBarrier_h 1
 
-#include "G4GEMCoulombBarrierHE.hh"
+//#include "G4GEMCoulombBarrierHE.hh"
+#include "G4GEMCoulombBarrier.hh"
 #include "globals.hh"
 
-class G4Be9GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+//JMQ 200709 now derives from new class G4GEMCoulombBarrier
+//class G4Be9GEMCoulombBarrier : public G4GEMCoulombBarrierHE
+class G4Be9GEMCoulombBarrier : public G4GEMCoulombBarrier
 {
 public:
-  G4Be9GEMCoulombBarrier() : G4GEMCoulombBarrierHE(9,4) {};
+//JMQ 200709
+//  G4Be9GEMCoulombBarrier() : G4GEMCoulombBarrierHE(7,4) {};
+  G4Be9GEMCoulombBarrier() : G4GEMCoulombBarrier(9,4) {};
   ~G4Be9GEMCoulombBarrier() {};
 
